---
## Values for our chart

## Values for the upstream vault-static-secrets chart
vault-static-secrets:
  secrets:
    - csi-driver-config

## Values for the upstream chart
democratic-csi:
  csiDriver:
    name: "org.democratic-csi.HOST.POOL.nfs"

  driver:
    config:
      driver: zfs-generic-nfs
    existingConfigSecret: "csi-driver-config"

  node:
    tolerations:
      - effect: NoSchedule
        key: topology.k8s.licham.io/role
        operator: Equal
        value: gpu
      - effect: NoSchedule
        key: topology.k8s.licham.io/role
        operator: Equal
        value: performance

  storageClasses:
    - name: HOST-POOL-nfs-csi
      defaultClass: false
      reclaimPolicy: Retain
      volumeBindingMode: Immediate
      allowVolumeExpansion: true
      parameters:
        fsType: nfs
          
      mountOptions:
        - noatime
        - nfsvers=4
      secrets:
        provisioner-secret:
        controller-publish-secret:
        node-stage-secret:
        node-publish-secret:
        controller-expand-secret:

  volumeSnapshotClasses:
    - name: HOST-POOL-nfs-csi
      labels:
        velero.io/csi-volumesnapshot-class: "true"
      parameters: {}
      secrets:
        snapshotter-secret:
